// Copyright 2017 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef IOS_CHROME_BROWSER_UI_CONTENT_SUGGESTIONS_CELLS_SUGGESTED_CONTENT_H_
#define IOS_CHROME_BROWSER_UI_CONTENT_SUGGESTIONS_CELLS_SUGGESTED_CONTENT_H_

#import <UIKit/UIKit.h>

@class CollectionViewItem;
@class ContentSuggestionIdentifier;
@class FaviconAttributes;
@protocol SuggestedContent;

// Delegate for SuggestedContent.
@protocol SuggestedContentDelegate

// Loads the image associated with the |suggestedItem|.
- (void)loadImageForSuggestedItem:
    (CollectionViewItem<SuggestedContent>*)suggestedItem;

@end

// Behavior shared by the items in ContentSuggestions.
@protocol SuggestedContent

@property(nonatomic, weak) id<SuggestedContentDelegate> delegate;
// Image associated with this content.
@property(nonatomic, strong) UIImage* image;
// Attributes for favicon.
@property(nonatomic, strong) FaviconAttributes* attributes;
// Identifier for this content.
@property(nonatomic, strong) ContentSuggestionIdentifier* suggestionIdentifier;

@end

#endif  // IOS_CHROME_BROWSER_UI_CONTENT_SUGGESTIONS_CELLS_SUGGESTED_CONTENT_H_
