// Copyright 2017 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#import "ios/chrome/browser/ui/content_suggestions/identifier/content_suggestion_identifier.h"

#include "base/mac/foundation_util.h"

#if !defined(__has_feature) || !__has_feature(objc_arc)
#error "This file requires ARC support."
#endif

@implementation ContentSuggestionIdentifier

@synthesize sectionInfo = _sectionInfo;
@synthesize IDInSection = _IDInSection;

#pragma mark - NSObject

- (BOOL)isEqual:(id)object {
  if (self == object) {
    return YES;
  }

  if (![object isKindOfClass:[ContentSuggestionIdentifier class]]) {
    return NO;
  }

  ContentSuggestionIdentifier* other =
      base::mac::ObjCCastStrict<ContentSuggestionIdentifier>(object);

  return self.sectionInfo == other.sectionInfo &&
         self.IDInSection == other.IDInSection;
}

@end
