// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef IOS_SHARED_CHROME_BROWSER_UI_DIALOGS_NSURL_PROTECTION_SPACE_UTIL_H_
#define IOS_SHARED_CHROME_BROWSER_UI_DIALOGS_NSURL_PROTECTION_SPACE_UTIL_H_

#import <Foundation/Foundation.h>

class GURL;

namespace ios_internal {
namespace nsurlprotectionspace_util {

// Information describing dialog requester used as dialog subtitle.
NSString* MessageForHTTPAuth(NSURLProtectionSpace* protectionSpace);

// Returns YES if dialog can be shown for set |protectionSpace|.
BOOL CanShow(NSURLProtectionSpace* protectionSpace);

// String represending authentication requester (origin URL or hostname).
NSString* RequesterIdentity(NSURLProtectionSpace* protectionSpace);

// URL origin of the dialog requester.
GURL RequesterOrigin(NSURLProtectionSpace* protectionSpace);

}  // namespace nsurlprotectionspace_util
}  // namespace ios_internal

#endif  // IOS_SHARED_CHROME_BROWSER_UI_DIALOGS_NSURL_PROTECTION_SPACE_UTIL_H_
